<form [formGroup]="form" color="accent" class="flex-column">
  <ttip-select formControlName="selectProject" [options]="formData.selected_project"></ttip-select>

  <ttip-select formControlName="selectTask" [options]="formData.selected_task"></ttip-select>

  <ttip-textarea
    [class.field-error]="
      form.get('textarea')?.touched && this.form.get('textarea')?.dirty && form.get('textarea')?.hasError('required')
    "
    formControlName="textarea"
    [label]="formData.job_notes.label"
  ></ttip-textarea>

  <div class="flex-row">
    <ttip-input-text
      [class.field-error]="
        form.get('inputTime')?.touched &&
        form.get('inputTime')?.dirty &&
        (form.get('inputTime')?.hasError('required') ||
          (form.get('inputTime')?.hasError('pattern') && this.form.get('inputTime')?.value))
      "
      formControlName="inputTime"
      [type]="formData.input_time.type"
      [placeholder]="formData.input_time.placeholder"
      [label]="formData.input_time.label"
      [visibilityValue]="formData.input_time.visibilityValue"
    >
    </ttip-input-text>
    <ttip-action-button
      [disabled]="form.invalid"
      [type]="sendButton.type"
      [color]="sendButton.color"
      [placeholder]="sendButton.placeholder"
      (clicked)="sendFormData()"
    ></ttip-action-button>
  </div>
  <div class="form-errors">
    <span *ngIf="form.get('inputTime')?.touched && this.form.get('inputTime')?.dirty">
      <p class="error-message" *ngIf="form.get('inputTime')?.hasError('required')">Works time are required</p>
      <p class="error-message" *ngIf="form.get('inputTime')?.hasError('pattern') && this.form.get('inputTime')?.value">
        Format: 8.40
      </p>
    </span>

    <span *ngIf="form.get('textarea')?.touched && this.form.get('textarea')?.dirty">
      <p class="error-message" *ngIf="form.get('textarea')?.hasError('required')">Notes to work are required</p>
    </span>

    <!-- <span *ngIf="form.get('inputTime')?.dirty && form.get('textarea')?.dirty">
      <p class="error-message" *ngIf="form.get('selectProject')?.errors?.required">Select Project</p>
    </span>
    <span *ngIf="form.get('inputTime')?.dirty && form.get('textarea')?.dirty">
      <p class="error-message" *ngIf="form.get('selectTask')?.errors?.required">Select Task</p>
    </span> -->
  </div>
</form>
